Name:           perl-Filter-Crypto
Version:        2.10
Release:        1%{?dist}
Summary:        Create runnable Perl files encrypted with OpenSSL libcrypto
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Filter-Crypto/
Source0:        http://www.cpan.org/authors/id/S/SH/SHAY/Filter-Crypto-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(blib)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.66
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Pod::Usage) >= 1.15
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl-macros
BuildRequires:  perl-generators
BuildRequires:  openssl
BuildRequires:  openssl-devel
Requires:       perl(Carp)
Requires:       perl(Config)
Requires:       perl(constant)
Requires:       perl(Cwd)
Requires:       perl(Exporter)
Requires:       perl(ExtUtils::MakeMaker) >= 6.66
Requires:       perl(Fcntl)
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
Requires:       perl(File::Find)
Requires:       perl(File::Spec::Functions)
Requires:       perl(File::Temp)
Requires:       perl(Getopt::Long)
Requires:       perl(Pod::Usage) >= 1.15
Requires:       perl(Scalar::Util)
Requires:       perl(strict)
Requires:       perl(Text::ParseWords)
Requires:       perl(Text::Wrap)
Requires:       perl(warnings)
Requires:       perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       openssl

%description
The Filter-Crypto distribution provides the means to convert your Perl
files into an encrypted, yet still runnable, format to hide the source code
from casual prying eyes.

%prep
%setup -q -n Filter-Crypto-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic Changes Copying CryptoCommon-c.inc CryptoCommon-xs.inc LICENCE META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Filter*
%{perl_vendorarch}/PAR/Filter*
%{_mandir}/man1/*
%{_mandir}/man3/*
%attr(0755,root,root) %{_bindir}/*

%changelog
* Mon Jul 03 2023 Luigi Iotti 2.10-1
- Specfile autogenerated by cpanspec 1.78.
